import Request from '@/utils/request/request-util';

/**
 * 表单组件-API接口
 *
 * @author fengshuonan
 * @date 2024/03/13 10:20
 */
export class FormComponentApi {

  /**
   * 获取分页列表
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static findPage(params) {
    return Request.getAndLoadData('/formComponent/page', params);
  }

  /**
   * 添加表单组件
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static add(params) {
    return Request.post('/formComponent/add', params);
  }

  /**
   * 编辑表单组件
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static edit(params) {
    return Request.post('/formComponent/edit', params);
  }

  /**
   * 删除单个表单组件
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static delete(params) {
    return Request.post('/formComponent/delete', params);
  }

  /**
   * 删除批量表单组件
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static batchDelete(params) {
    return Request.post('/formComponent/batchDelete', params);
  }

  /**
   * 表单组件详情
   *
   * @author fengshuonan
   * @date 2024/03/13 10:20
   */
  static detail(params) {
    return Request.getAndLoadData('/formComponent/detail', params);
  }

}